Bug 191619 - Review Request: perl-CSS-Tiny - Read/Write .css files with as little code as possible
Review Request: perl-CSS-Tiny - Read/Write .css files with as little code as ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 191620
  Show dependency treegraph
 
Reported: 2006-05-13 19:10 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 19:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 19:10:10 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-CSS-Tiny.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-CSS-Tiny-1.11-1.src.rpm

Description:
CSS::Tiny is a perl class to read and write .css stylesheets with as
little code as possible, reducing load time and memory overhead.
Comment 1 Jason Tibbitts 2006-05-15 11:22:23 EDT
Everything looks good; the only thing I question is the reason for including
test.css as %doc.  It seems a bit pointless to me, but I guess it doesn't hurt
anything.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  License text is included in the package.
* source files match upstream:
   66fac70597a4e6628f1875037d1d2a94  CSS-Tiny-1.11.tar.gz
   66fac70597a4e6628f1875037d1d2a94  CSS-Tiny-1.11.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=47,  0 wallclock secs ( 0.14 cusr +  0.06 csys =  0.20 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-15 19:42:10 EDT
(In reply to comment #1)
> Everything looks good; the only thing I question is the reason for including
> test.css as %doc.  It seems a bit pointless to me, but I guess it doesn't hurt
> anything.

Indeed. I could swear it was a CSS example with more juicy. I will remove next
update.


Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.